Bug 6494 - opacmysummaryhtml on reading history
Summary: opacmysummaryhtml on reading history
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-10 00:18 UTC by Nicole C. Engard
Modified: 2014-05-26 21:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 6494 - opacmysummaryhtml on reading history (7.32 KB, patch)
2012-08-16 17:02 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6494 - opacmysummaryhtml on reading history (7.38 KB, patch)
2012-08-16 17:12 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-06-10 00:18:25 UTC
It would be great if the opacmysummaryhtml also showed on the reading history since it's pretty much a longer version of the my summary anyway.  If not that preference, then another preference like it specifically for the reading history.

Nicole
Comment 1 Owen Leonard 2012-08-16 17:02:04 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2012-08-16 17:12:33 UTC
Created attachment 11644 [details] [review]
[SIGNED-OFF] Bug 6494 - opacmysummaryhtml on reading history

This patch re-uses code and markup from opac-user.tt & .pl
to place the contents of the opacmysummaryhtml preference
on the circulation history page in exactly the same way
it appears on the "my summary" page.

The wording of the system preference description has
been modified to reflect this addition.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Works as advertised.
Comment 3 Jonathan Druart 2012-08-17 12:21:41 UTC
QA Comment:

If you think the syspref's name is definitely correct, it's ok for me.

Marked as Passed QA.
Comment 4 Paul Poulain 2012-09-03 14:30:46 UTC
Patch pushed

For my enlightenment = could someone share a use case for this syspref (I understand & tested what the patch does. I just need a real-life use case, to see if it can be useful for some of our libraries)
Comment 5 Nicole C. Engard 2012-09-04 14:00:18 UTC
Paul,

We use it to put social share buttons on the reading history and checkout list.  So if you look here: http://manual.koha-community.org/3.8/en/administration.html#OPACMySummaryHTML you'll see an example of how we use it.

Nicole
Comment 6 Viktor Sarge 2013-04-09 12:01:07 UTC
I'm love seeing this being used and expanded! The reason for this being implemented was just what Nicole is talking about - moving the conversation about a title from the few using the library opac to the many using social media like FB, Twitter, G+ etc. Beside being where people are it creates connections back to the library.